/// <reference types="node" />
import * as fs from 'fs';
export declare const readFileAsync: typeof fs.readFile.__promisify__;
export declare const statAsync: typeof fs.stat.__promisify__;
export declare const readdirAsync: typeof fs.readdir.__promisify__;
export declare function readTextFileAsync(path: string): Promise<string>;
export declare function writeFileAsync(path: string, data: any, options: {
    encoding?: string | null;
    mode?: number | string;
    flag?: string;
} | string | undefined | null): Promise<any>;
export declare function statOrNullAsync(path: string): Promise<fs.Stats | null>;
export declare function fileExists(path: string): Promise<boolean>;
export declare function dirExists(path: string): Promise<boolean>;
export declare const listSubPaths: typeof fs.readdir.__promisify__;
export declare function listSubDirs(dir: string): Promise<string[]>;
export declare function listSubFiles(dir: string): Promise<string[]>;
