export declare class PathComponent {
    name: string;
    displayName: string;
    constructor(name: string, displayName: string);
}
export declare class Processor {
    srcDir: string;
    destDir: string;
    constructor(srcDir: string, destDir: string);
    startFromFile(file: string): Promise<void>;
    private processDir(dir);
    private isRootDir(dir);
    private markdownToHTML(file);
    private pathComponentFromDir(dir);
    private pathComponentFromFile(file);
    private generatePathBarHtml(comps);
    private childComponentsFromDirs(dirs);
    private childComponentsFromFiles(files);
    private generateContentHtml(comps);
}
