"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Remarkable = require('remarkable');
const nodeRename = require('node-rename-path');
const md = new Remarkable({
    html: false,
    xhtmlOut: true,
    breaks: true,
    langPrefix: 'lang-',
    linkify: true,
});
function convert(content) {
    return md.render(content);
}
exports.convert = convert;
function rename(file) {
    return nodeRename(file, (pathObj) => {
        pathObj.ext = 'g.html';
    });
}
exports.rename = rename;
//# sourceMappingURL=markdownGenerator.js.map