export declare class DirComponent {
    title: string;
    htmlTitle: string;
    urlName: string;
    constructor(dirName: string, title: string);
}
export default class DirComponentGenerator {
    srcDir: string;
    destDir: string;
    constructor(srcDir: string, destDir: string);
    startFromFile(file: string): Promise<void>;
    pathComponentsFromDir(dir: string, srcDir: string, destDir: string): Promise<DirComponent[]>;
    protected headerHtmlFromDirComponents(comps: DirComponent[]): string;
    private isRootDir(dir);
    private createDirComponent(dir);
}
